Subject: bug#60353: 30.0.50; Make `repeat-echo-function` as a LIST of functions

From: Juri Linkov <[email-masked]>
Date: Tue, 27 Dec 2022 20:03:33 +0200

> I need some visual cues for when I am in "repeat-mode".
>
> For example, down below I change the cursor shape and colour depending
>
> Right now `repeat-echo-function` is NOT a list.  This means that I
> LOSE the ability to see the repeatabe keys in the echo area.
>
> If `repeat-echo-function` is SOMEHOW repelaced with a list of
> functions, I can have BOTH the cues for repeatable state--the echo
> area message, and the cursor shape.
>
> (setq repeat-echo-function
>       (defun my-repeat-echo-function (keymap)
>     (cond
>      (keymap
>       (set-cursor-color "black")
>       (setq cursor-type '(hbar . 7)))
>      (t
>       (set-cursor-color "red")
>       (setq cursor-type t)))))

A list of functions could be supported as well.
Until it's implemented you could use `add-function`
with something like this:

(add-function
 :after repeat-echo-function
 (defun my-repeat-echo-function (keymap)
   (cond
    (keymap
     (set-cursor-color "black")
     (setq cursor-type '(hbar . 7)))
    (t
     (set-cursor-color "red")
     (setq cursor-type t)))))